//---------------------------------------------------------------------------

#ifndef uTMyPointH
#define uTMyPointH
#include <math.h>
//---------------------------------------------------------------------------
class TMyPoint
{
public:
	double x;
    double y;

    TMyPoint()
    {
    	y = x = 0.0;
    }
    TMyPoint(const TMyPoint &Point)
    {
    	x = Point.x;
        y = Point.y;
    }
    TMyPoint(double _x, double _y)
    {
    	x = _x;
        y = _y;
    }
    TMyPoint operator -(TMyPoint &P);
    TMyPoint operator +(TMyPoint &P);
    TMyPoint operator *(double C);
    TMyPoint operator /(double C);
    bool operator ==(TMyPoint &P);
    bool operator !=(TMyPoint &P);
    double abs();
    double distance_to(TMyPoint &P);

    TMyPoint friend bissect(TMyPoint O, TMyPoint P1, TMyPoint P2);
    TMyPoint friend intersect(TMyPoint l1_p1, TMyPoint l1_p2,TMyPoint l2_p1, TMyPoint l2_p2);
};
#endif
